import cadquery as cq

width = 65.6
length = 125.0
height = 6.9
rad = 2.0  # approximately the same corner radius in both XY and Z

plug_length = 12.9
plug_width = 10.5

def LdtekBattery():
    return (
        cq.Workplane("front")
        .box(width, length, height, centered=False)
        .tag("body_box")
        .faces("<<Z").tag("body_front")
        .faces(">>Z").tag("body_back")
        .edges()
        .fillet(rad)
    )
