this is a 3d-printable case designed for the PinePhone, but implemented with an eye towards
generalizing beyond just that model and supporting future phones/preferences alongside
this first model.

status: case is usable, but the print is rough and requires a good deal of manual cleaning due to aggressive fillets/overhangs.

## Prerequisites
- run `nix develop` to enter a dev environment.
- or manually install these dependencies:
  - Python3
  - cadquery
  - cq-editor (for interactive viewing/development)

## Building

- `./cq_toplevel.py --export-stl model.stl`

## Development
- `./cq_toplevel.py --editor` or `cq-editor ./cq_toplevel.py` to load an interactive GUI
  - press the green play button to render the model
  - call with `--render-phone` to see how the phone would fit inside the case

- CadQuery docs may be found here: <https://cadquery.readthedocs.io/en/latest/quickstart.html>
